### Method

# GLib Tree insert

#### Declaration [src]

    void
    g_tree_insert (
      GTree* tree,
      gpointer key,
      gpointer value
    )

#### Description [src]

Inserts a key/value pair into a `GTree`.

Inserts a new key and value into a `GTree` as `g_tree_insert_node()` does, only this function does not return the inserted or set node.

#### Parameters

`key`

  Type: `gpointer`

  The key to insert.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`value`

  Type: `gpointer`

  The value corresponding to the key.

  The argument can be `NULL`.
  The data is owned by the caller of the method.